fcf.module({
  name: "fcf:NServer/NControllers/Translations.js",
  dependencies: ["fcf:NServer/NControllers/Controller.js", "fcf:NSystem/cache.js"],
  module: function(Controller, cache) {
    let NControllers = fcf.prepareObject(fcf, "NServer.NControllers");

    var resultContext = false;

    NControllers.Translations = class Translations extends Controller {

      getRequestInfo(){
        return {
          userRequest: false,
          redirect:    false,
        };
      }

      action(a_request) {
        a_request.setHeader("Content-Type", "application/json");
        a_request.sendObject(cache.get("fcf", "translations"));
      }
    }

    return fcf.NServer.NControllers.Translations;
  }
});
